using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Request.Role;

namespace GxPress.Repository.Interface.SystemRoleMenus
{
    public interface ISystemRoleMenusRepository : IRepository
    {
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="models"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(SystemRoleMenusInRequest models);

        Task<IEnumerable<Entity.SystemRole.SystemRoleMenus>> GetAllAsync(int roleId);
        Task<bool> DeleteAsync(int roleId);
    }
}